#include <stdio.h>
#include <signal.h>
#include <unistd.h>
#include <stdlib.h>

int pid1, pid2;

void Handler_C(int a)
{
 kill(pid1, SIGUSR1);
 kill(pid2, SIGUSR1);
}

int main (int argc, char *argv[])
{
  int ret, status;

  pid1=fork();

  if (pid1==-1)
   {
 	printf("Error creating the first child \n");
     	exit (1);
   }
  if (pid1==0) //child 1 process
   {
     	ret=execl("./compute_pi1", "compute_p1", argv[1], NULL);
     	if (ret==-1)
        {
   		printf("Could not convert process one \n");
   	     	exit (1);
        }
   }
  else //parent process
  {
	pid2=fork(); //create new process
    	if (pid2==-1)
	{
	  	  printf("Error creating the second child \n");
	  	  exit(1);
	}
  	if (pid2==0) // child 2 process
   	{
    	 	ret=execl("./compute_pi2", "compute_p2", argv[1], NULL);
    	 	if (ret==-1)
        	{
   	    	 	printf("Could not convert process two \n");
   	    	 	exit (1);
        	}
   	}

	else
	{
		  printf ("The program started succesfully\n");
		  signal(SIGINT, Handler_C);
		  wait(&status);
		  wait(&status);
	}
 }
}

